Algorithm (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.core

## Class Algorithm

- java.lang.Object
- - org.opencv.core.Algorithm

- Direct Known Subclasses:
    AlignExposures, BackgroundSubtractor, BaseCascadeClassifier, CalibrateCRF, CLAHE, DenseOpticalFlow, DescriptorMatcher, Feature2D, Layer, LineSegmentDetector, MergeExposures, SparseOpticalFlow, StatModel, StereoMatcher, Tonemap

      public class Algorithm
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Algorithm(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Algorithm` | `__fromPtr__(long addr)`
    `void` | `clear()`
    `boolean` | `empty()`
    `protected void` | `finalize()`
    `java.lang.String` | `getDefaultName()`
    `long` | `getNativeObjAddr()`
    `void` | `save(java.lang.String filename)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### Algorithm

          protected Algorithm(long addr)

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static Algorithm __fromPtr__(long addr)

    - #### getDefaultName

          public java.lang.String getDefaultName()

    - #### empty

          public boolean empty()

    - #### clear

          public void clear()

    - #### save

          public void save(java.lang.String filename)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:52 MDT / OpenCV unknown